# Uses of Interface
org.eclipse.birt.report.engine.api.script.element.IDataBinding

Packages that use IDataBinding
Package
Description
org.eclipse.birt.report.engine.api.script.element
Report element representations in the BIRT scripting environment.

## Uses of IDataBinding in org.eclipse.birt.report.engine.api.script.element

Methods in org.eclipse.birt.report.engine.api.script.element that return IDataBinding
Modifier and Type
Method
Description
`IDataBinding`
IReportDesign.`createDataBinding()`
Create `IDataBinding`
`IDataBinding`
IScriptAPIFactory.`createDataBinding()`
Deprecated.
Create `IDataBinding`
`IDataBinding`
ScriptAPIFactory.`createDataBinding()`
Deprecated.
`static IDataBinding`
StructureScriptAPIFactory.`createDataBinding()`
Deprecated.
Create `IDataBinding`
`IDataBinding[]`
IReportItem.`getDataBindings()`
Returns array of all column bindings
Methods in org.eclipse.birt.report.engine.api.script.element with parameters of type IDataBinding
Modifier and Type
Method
Description
`void`
IReportItem.`addDataBinding(IDataBinding binding)`
Add ComputedColumn.name , expression of IDataBinding are required.